Bug 619332 - Review Request: perl-MooseX-Types-VariantTable - Type constraint based variant table
Review Request: perl-MooseX-Types-VariantTable - Type constraint based varian...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MooseX-Ty...
:
Depends On:
Blocks: 621037
  Show dependency treegraph
 
Reported: 2010-07-29 05:58 EDT by Iain Arnell
Modified: 2010-08-18 21:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-MooseX-Types-VariantTable-0.04-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-18 21:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-07-29 05:58:39 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Types-VariantTable.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Types-VariantTable-0.04-1.fc14.src.rpm

Description:
This object implements a simple dispatch table based on Moose type
constraints.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2356637

*rt-0.10_01
Comment 1 Marcela Mašláňová 2010-08-03 09:22:55 EDT
- rpmlint checks return:
rpmlint perl-MooseX-Types-VariantTable-0.04-1.fc14.src.rpm 
perl-MooseX-Types-VariantTable.src: W: no-cleaning-of-buildroot %clean
perl-MooseX-Types-VariantTable.src: W: no-buildroot-tag
perl-MooseX-Types-VariantTable.src: W: no-%clean-section
These are now needed only for EPEL.

- package meets naming guidelines OK
- package meets packaging guidelines OK
- license (GPL+ or Artistic) OK, text in %doc, matches source OK
- spec file legible, in am. english OK
- source matches upstream OK ec6022745e805619e2a322d6db1bca71
- package compiles on devel (x86) OK
- no missing BR OK
- no unnecessary BR OK
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- macro use consistent OK
- code, not content OK
- no need for -docs OK
- nothing in %doc affects runtime OK
- no need for .desktop file OK

ACCEPT
Comment 2 Iain Arnell 2010-08-03 11:32:56 EDT
New Package CVS Request
=======================
Package Name: perl-MooseX-Types-VariantTable
Short Description: Type constraint based variant table
Owners: iarnell
Branches: F-13 F-14
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2010-08-03 13:52:49 EDT
GIT done (by process-git-requests).
Comment 4 Fedora Update System 2010-08-03 23:11:31 EDT
perl-MooseX-Types-VariantTable-0.04-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-MooseX-Types-VariantTable-0.04-1.fc14
Comment 5 Fedora Update System 2010-08-05 10:23:04 EDT
perl-MooseX-Types-VariantTable-0.04-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-Types-VariantTable'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-MooseX-Types-VariantTable-0.04-1.fc14
Comment 6 Fedora Update System 2010-08-18 21:03:08 EDT
perl-MooseX-Types-VariantTable-0.04-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.